# $str.match

Matches a fixed string agains a wildcard expression

Syntax

    $str.match(<wildcard_expression>,<string>)

Description
Returns 1 if the fixed <string> matches the <wildcard_expression>, 0 otherwise. The <wildcard_expression> is a string containing the classic '?' and '*' wildcards. The match is case sensitive.
Examples

        %test = "Hello! My nickname is Pragma"
        if($str.match(Pragma*,%test))echo "Matches Pragma*"
        if($str.match(*Pragma,%test))echo "Matches *Pragma"
        if($str.match(H*y*i?k*a,%test))echo "Matches H*y*i?k*a"
        if($str.match(H*y*i?K*a,%test))echo "Matches H*y*i?K*a"

See also
$str.matchnocase()

Index, Functions

KVIrc 3.2.0 Documentation
Generated by kris at Wed Oct 25 20:15:27 2006